-- raise3.sql

DECLARE
  TYPE index_type IS TABLE OF pls_integer;
  TYPE store_no_type IS TABLE OF number;
  store_indexes index_type := index_type(2,5,7);
  stores store_no_type := store_no_type(1,2,3,4,5,6,7);
BEGIN
  FORALL j IN VALUES OF store_indexes
    UPDATE employee SET pay_amount = pay_amount * 1.1
     WHERE store_number = stores(j);
END;
/
